"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceDataList = void 0;
const replace_properties_1 = require("@less-plugins/replace-properties");
const replace_data_1 = require("./replace-data");
var replace_data_2 = require("./replace-data");
Object.defineProperty(exports, "replaceDataList", { enumerable: true, get: function () { return replace_data_2.replaceDataList; } });
class LessPluginsCssLogical {
    constructor() { }
    setOptions(args) { }
    printUsage() { }
    install(less, pluginMenager, functions) {
        const replaceMap = new Map();
        for (const replaceData of replace_data_1.replaceDataList) {
            (0, replace_properties_1.addReplacePreperties)(Object.assign(Object.assign({}, replaceData), { replaceMap }));
        }
        pluginMenager.addVisitor(new replace_properties_1.ReplacePropertiesVisitor(replaceMap));
    }
}
exports.default = LessPluginsCssLogical;
